# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/Handle.pm) perl(Net/ZooKeeper.pm) perl(POSIX.pm) perl(Params/Validate.pm) perl(Test/Class.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Net-ZooKeeper-Lock
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: distributed locks via ZooKeeper
Group: Development/Perl
License: perl
URL: http://github.com/tadam/Net-ZooKeeper-Lock

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TA/TADAM/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module implements distributed locks via ZooKeeper using the Net::ZooKeeper manpage and ZooKeeper recipe described at http://zookeeper.apache.org/doc/trunk/recipes.html#sc_recipes_Locks. It doesn't implements shared locks, it will appear in the next releases.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/N*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

